#
# spec file for package cx_Oracle (Version 4.4.1)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

# different arches have differnet oracle versions
%ifarch s390 s390x ppc ppc64
%define oraclever 10.2.0.2
%else
%ifarch ia64
%define oraclever 10.2.0.3
%else
%define oraclever 10.2.0.4
%endif
%endif

Summary:        Python interface to Oracle

Name:           cx_Oracle
Version:        4.4.1
Release:        1.2
Source0:        %{name}-%{version}.tar.gz
#Patch0: cx_Oracle-instantclient.patch
License:        BSD 3-Clause
Group:          Development/Libraries
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Obsoletes:      DCOracle <= 1.3.2
Provides:       python(:DBAPI:oracle) = 2.0
BuildRequires:  python-devel
BuildRequires:  oracle-instantclient-devel
Url:            http://sourceforge.net/projects/cx-oracle/

%description
Python interface to Oracle conforming to the Python DB API 2.0
specification. See
http://www.python.org/topics/database/DatabaseAPI-2.0.html.



%prep
%setup -q
#%%patch0 -p1 -b .instantclient

#kinda ugly but we need ORACLE_HOME to be set
%if "%{_lib}" == "lib64"
%define oracle_home /usr/lib/oracle/%{oraclever}/client64
%else
%define oracle_home /usr/lib/oracle/%{oraclever}/client
%endif

%build
export ORACLE_HOME=%{oracle_home}
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
export ORACLE_HOME=%{oracle_home}
%{__python} setup.py install --root=$RPM_BUILD_ROOT --prefix=%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE.txt README.txt HISTORY.txt html test
%{python_sitearch}/*

%changelog
* Thu Dec  9 2010 mc@suse.de
- initial release
